module Workbox
  # Time provides basic time functionality.
  # It requires the including class or module to implement
  # 'to_i' and return a number.
  module Time
    def minutes
      to_i * 60
    end
    alias minute minutes

    def hours
      minutes*60
    end
    alias hour hours

    def days
      hours*24
    end
    alias day days
  end
end
